Bug 181550 - Wrong time for clock after boot up.
Wrong time for clock after boot up.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-14 16:52 EST by Darwin H. Webb
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 16:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darwin H. Webb 2006-02-14 16:52:51 EST
Description of problem:
Time is set to non-ut and PST but clock revertes to ut time.
It ghas been this way since install of Feb 6th. Note: other linux O/S's are
correct for time. I thoht I saw a ref to hwclock but due to so many AVC messages
I can not see it?

Version-Release number of selected component (if applicable):
hwdata-0.174-1
hal-0.5.7-0.cvs20060213.1
selinux-policy-2.2.14-2

How reproducible:
every boot

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
time chages during boot up

Feb 14 09:47:27 Host16 kernel: security:  3 users, 6 roles, 1129 types, 132
bools, 1 sens, 256 cats
Feb 14 09:47:27 Host16 kernel: security:  55 classes, 37442 rules
Feb 14 09:48:18 Host16 kernel: loop: loaded (max 8 devices)
Feb 14 09:57:05 Host16 gpm[13081]: *** info [startup.c(95)]:
Feb 14 09:57:05 Host16 gpm[13081]: Started gpm successfully. Entered daemon mode.
Feb 14 09:57:55 Host16 kernel: audit(1139939875.365:12): avc:  denied  { setgid
} for  pid=13153 comm="hald" capability=6
scontext=user_u:system_r:hald_t:s0-s0:c0.c255
tcontext=user_u:system_r:hald_t:s0-s0:c0.c255 tclass=capability
Feb 14 09:58:27 Host16 shutdown[13167]: shutting down for system reboot
Feb 14 09:58:28 Host16 init: Switching to runlevel: 6
Feb 14 09:58:28 Host16 gconfd (darwinhwebb-2226): Received signal 15, shutting
down cleanly
Feb 14 09:58:29 Host16 gconfd (darwinhwebb-2226): Exiting
Feb 14 09:58:34 Host16 avahi-daemon[1980]: Got SIGTERM, quitting.
Feb 14 09:58:34 Host16 avahi-daemon[1980]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 90.0.0.16.
Feb 14 09:58:40 Host16 rpc.statd[1652]: Caught signal 15, un-registering and
exiting.
Feb 14 09:58:40 Host16 kernel: Kernel logging (proc) stopped.
Feb 14 09:58:40 Host16 kernel: Kernel log daemon terminating.
Feb 14 09:58:41 Host16 exiting on signal 15
Feb 14 18:06:05 Host16 syslogd 1.4.1: restart.
Feb 14 18:06:06 Host16 kernel: klogd 1.4.1, log source = /proc/kmsg started.
Feb 14 18:06:06 Host16 kernel: Linux version 2.6.15-1.1948_FC5
(bhcompile@hs20-bc1-6.build.redhat.com) (gcc version 4.1.0 20060213 (Red Hat
4.1.0-0.25)) #1 Mon Feb 13 21:05:36 EST 2006
Feb 14 18:06:06 Host16 kernel: BIOS-provided physical RAM map:
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 0000000000000000 - 000000000009fc00
(usable)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 000000000009fc00 - 00000000000a0000
(reserved)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 00000000000f0000 - 0000000000100000
(reserved)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 0000000000100000 - 000000003fff0000
(usable)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 000000003fff0000 - 000000003fff3000
(ACPI NVS)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 000000003fff3000 - 0000000040000000
(ACPI data)
Feb 14 18:06:06 Host16 kernel:  BIOS-e820: 00000000ffff0000 - 0000000100000000
(reserved)
Feb 14 18:06:06 Host16 kernel: 127MB HIGHMEM available.
Feb 14 18:06:06 Host16 kernel: 896MB LOWMEM available.
Feb 14 18:06:06 Host16 kernel: Using x86 segment limits to approximate NX protection
Feb 14 18:06:06 Host16 rpc.statd[1545]: Version 1.0.8-rc2 Starting
Feb 14 18:06:08 Host16 kernel: DMI 2.2 present.
Feb 14 18:06:08 Host16 kernel: ACPI: PM-Timer IO Port: 0x4008
Feb 14 18:06:08 Host16 kernel: ACPI: Local APIC disabled (-2); pass 'lapic' to
re-enable.
Feb 14 18:06:08 Host16 kernel: Allocating PCI resources starting at 50000000
(gap: 40000000:bfff0000)
Feb 14 18:06:08 Host16 kernel: Built 1 zonelists
Feb 14 18:06:08 Host16 kernel: Kernel command line: ro
root=/dev/VolGroupfc501/LogVolfc501 rhgb quiet
Feb 14 18:06:09 Host16 kernel: Enabling fast FPU save and restore... done.
Feb 14 18:06:09 Host16 kernel: Enabling unmasked SIMD FPU exception support... done.
Feb 14 18:06:09 Host16 kernel: Initializing CPU#0
Feb 14 18:06:09 Host16 kern
Comment 1 Rahul Sundaram 2006-02-20 05:47:56 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Darwin H. Webb 2006-02-21 12:58:31 EST
hwdata-0.174-1
hal-0.5.7-0.cvs20060213.1
selinux-policy-2.2.15-4

After install of FC5T3 cd's 
Firtboot of a Pent IV 865bgf m/b - the time was ok after selecting the City.
This was the fisrt time FC has been on this computer.

However, the Pent III 800eb tyan s1854 m/b - the time was still wrong after
selecting the city (firtboot) and had to be reset after Gnome up.

I have not rebooted yet (expecting some grub problems) so I will comment later
if it is ok,
but there was (is ) a difference on these 2 pc's.

SJ
Comment 3 Darwin H. Webb 2006-02-21 14:27:16 EST
The time is correct after the reboot.
It is workable but firstboot correct time would be better. 

thanks,

Darwin
Comment 4 Karsten Hopp 2007-01-25 07:12:37 EST
This has nothing to do with hwdata.
changing component to firstboot (comment #2  'the time was still wrong after
selecting the city (firstboot)')
Comment 5 Chris Lumens 2007-01-25 10:13:48 EST
Playing the bug reassignment game...
Comment 6 Nils Philippsen 2007-01-25 11:48:47 EST
Does this problem still exist on FC6 or Rawhide? If the problem is with s-c-date
on the media (most probably, there's no way to access updates from an FC5
installer) there's nothing I can do.
Comment 7 Darwin H. Webb 2007-01-25 16:20:08 EST
This can be closed.
FC6 and rawhide are showing the correct time.

Darwin

Note You need to log in before you can comment on or make changes to this bug.